//
//  PeripheralsController.mm
//  ChameleonPrefPane
//
//  Created by Rekursor on 1/22/10.
//

#import "PeripheralsController.h"

static PeripheralsController *gInstance = NULL;

@implementation PeripheralsController

//--------------------------------------------------------------------------
- (id) init
{
	self = [super init];
	return (gInstance = self);
}	

//--------------------------------------------------------------------------
- (void) addOptionsDesc
{
    BootProp::instance().addOptionDesc(mLegacyLogo, nil, OptionYesNo, "Legacy Logo", "No");
    BootProp::instance().addOptionDesc(mBootBanner, nil, OptionYesNo, "Boot Banner", "Yes");
    BootProp::instance().addOptionDesc(mVBIOS, nil, OptionYesNo, "VBIOS", "No");
    BootProp::instance().addOptionDesc(mAtiVideoROM, nil, OptionYesNo, "UseAtiROM", "No");
    BootProp::instance().addOptionDesc(mNvidiaVideoROM, nil, OptionYesNo, "UseNvidiaROM", "No");
    BootProp::instance().addOptionDesc(mGraphicsMode, mGraphicsModeText, OptionString, "Graphics Mode", "");
    BootProp::instance().addOptionDesc(mGraphicsEnabler, nil, OptionYesNo, "GraphicsEnabler", "No");
    BootProp::instance().addOptionDesc(mUSBBusFix, nil, OptionYesNo, "USBBusFix", "No");
    BootProp::instance().addOptionDesc(mEHCIacquire, nil, OptionYesNo, "EHCIacquire", "No");
    BootProp::instance().addOptionDesc(mUHCIreset,  nil,OptionYesNo, "UHCIreset", "No");
    BootProp::instance().addOptionDesc(mEthernetBuiltIn, nil, OptionYesNo, "EthernetBuiltIn", "No");
    BootProp::instance().addOptionDesc(mPciRoot, mPciRootText, OptionString, "PciRoot", "");
    BootProp::instance().addOptionDesc(mForceHPET, nil, OptionYesNo, "ForceHPET", "No");
	
}

//--------------------------------------------------------------------------
-(void) setDefaultsValues: (NSMutableDictionary*) dict
{
}

//--------------------------------------------------------------------------
- (void) refreshLockStates
{
	// automatic, nothing to do
}

//--------------------------------------------------------------------------
-(void) loadOptionsFromPreferencesFile: (NSMutableDictionary*) dict
{
	
}
//--------------------------------------------------------------------------
-(IBAction) onCheckButtonChange: (NSButton*) sender
{
	[self handleSender: sender];
}

//--------------------------------------------------------------------------
-(IBAction) onTextFiedChange: (NSTextField*) sender
{
	[self handleSender: sender];
}

+ (PeripheralsController *)instance { return(gInstance);}

@end
